/*******************************************************************************
 * FoxHudInspectionWidget generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHudInspectionWidget extends GFxObject within GFxMoviePlayer;

var const localized string LocStringCurrentLoadout;
var const localized string LocStringArmor;
var const localized string LocStringGear;
var const string EmptyIcon;
var const string symbolname;
var protected transient FoxUI DynamicUI;

function Bind()
{
    DynamicUI = FoxUI(Outer);
    //return;    
}

function Cleanup()
{
    DynamicUI = none;
    //return;    
}

function BuildWeaponList(FoxWeaponConfigInfo InPrimaryInfo, FoxWeaponConfigInfo InSecondaryInfo)
{
    local array<BaseInventoryEntry> Items;
    local BaseInventoryEntry PrimaryItem, SecondaryItem;
    local FoxDataStore_Unlockables UnlockablesDataStore;
    local FoxDataProvider_WeaponSkin PresetProvider;

    UnlockablesDataStore = FoxDataStore_Unlockables(class'UIInteraction'.static.GetDataStoreClient().FindDataStore('FoxUnlockables'));
    // End:0x32A
    if(InPrimaryInfo.WeaponSkin == 255)
    {
        PrimaryItem.sName = class'FoxLoadoutInfo'.static.GetGeneratedWeaponName(InPrimaryInfo.WeaponClass, InPrimaryInfo.WeaponScope, ((InPrimaryInfo.WeaponMuzzle < UnlockablesDataStore.MuzzleProviderArray.Length) ? UnlockablesDataStore.MuzzleProviderArray[InPrimaryInfo.WeaponMuzzle] : none), InPrimaryInfo.WeaponStock, InPrimaryInfo.WeaponBarrel, InPrimaryInfo.WeaponGrip, ((InPrimaryInfo.WeaponMagazine < UnlockablesDataStore.MagazineProviderArray.Length) ? FoxDataProvider_Magazine(UnlockablesDataStore.MagazineProviderArray[InPrimaryInfo.WeaponMagazine]) : none), InPrimaryInfo.WeaponSkin);
        PrimaryItem.sIcon = class'ZeMovieBase'.static.MarkupImageString(InPrimaryInfo.WeaponClass.default.ImageIconRef);
        PrimaryItem.sType = InPrimaryInfo.WeaponClass.default.FriendlyTag;
    }
    // End:0x441
    else
    {
        PresetProvider = UnlockablesDataStore.PrimarySkinProviderArray[InPrimaryInfo.WeaponSkin];
        PrimaryItem.sName = PresetProvider.FriendlyName;
        PrimaryItem.sIcon = class'ZeMovieBase'.static.MarkupImageString(PresetProvider.ImageIconRef);
        PrimaryItem.sType = PresetProvider.FriendlyTag;
    }
    // End:0x509
    if(InSecondaryInfo.WeaponClass.default.bIsDepotWeapon)
    {
        SecondaryItem.sName = class'FoxUnlockInfo'.static.GetDepotPresetFriendlyNameFromWeapon(InSecondaryInfo.WeaponClass, SecondaryItem.sType, SecondaryItem.sIcon);
    }
    // End:0x8F8
    else
    {
        // End:0x7E1
        if(InSecondaryInfo.WeaponSkin == 255)
        {
            SecondaryItem.sName = class'FoxLoadoutInfo'.static.GetGeneratedWeaponName(InSecondaryInfo.WeaponClass, InSecondaryInfo.WeaponScope, ((InSecondaryInfo.WeaponMuzzle < UnlockablesDataStore.MuzzleProviderArray.Length) ? UnlockablesDataStore.MuzzleProviderArray[InSecondaryInfo.WeaponMuzzle] : none), InSecondaryInfo.WeaponStock, InSecondaryInfo.WeaponBarrel, InSecondaryInfo.WeaponGrip, ((InSecondaryInfo.WeaponMagazine < UnlockablesDataStore.MagazineProviderArray.Length) ? FoxDataProvider_Magazine(UnlockablesDataStore.MagazineProviderArray[InSecondaryInfo.WeaponMagazine]) : none), InSecondaryInfo.WeaponSkin);
            SecondaryItem.sIcon = class'ZeMovieBase'.static.MarkupImageString(InSecondaryInfo.WeaponClass.default.ImageIconRef);
            SecondaryItem.sType = InSecondaryInfo.WeaponClass.default.FriendlyTag;
        }
        // End:0x8F8
        else
        {
            PresetProvider = UnlockablesDataStore.PrimarySkinProviderArray[InSecondaryInfo.WeaponSkin];
            SecondaryItem.sName = PresetProvider.FriendlyName;
            SecondaryItem.sIcon = class'ZeMovieBase'.static.MarkupImageString(PresetProvider.ImageIconRef);
            SecondaryItem.sType = PresetProvider.FriendlyTag;
        }
    }
    Items.AddItem(PrimaryItem);
    Items.AddItem(SecondaryItem);
    as_AddInspectSection(LocStringCurrentLoadout, Items);
    //return;    
}

function BuildGearAndArmorList(ProfileGearInfo InGear)
{
    local array<BaseInventoryEntry> ArmorItems;
    local BaseInventoryEntry Helmet, upper, Lower;
    local array<BaseInventoryEntry> GearItems;
    local BaseInventoryEntry TacticalGear, GearL1, GearL2, GearR1, GearR2;

    local FoxDataProvider_Unlockable GearProvider;
    local FoxDataStore_Unlockables UnlockablesDataStore;

    UnlockablesDataStore = FoxDataStore_Unlockables(class'UIInteraction'.static.GetDataStoreClient().FindDataStore('FoxUnlockables'));
    // End:0x74
    if(InGear.AvatarID >= 0)
    {
    }
    // End:0x138
    if(InGear.HelmetID != 255)
    {
        GearProvider = FoxDataProvider_Unlockable(UnlockablesDataStore.HelmetProviderArray[InGear.HelmetID]);
        ApplyFromProvider(GearProvider, Helmet);
        SetItemRarityByUnlockId(GearProvider.UnlockID, Helmet);
    }
    // End:0x1FC
    if(InGear.UpperBodyID != 255)
    {
        GearProvider = FoxDataProvider_Unlockable(UnlockablesDataStore.UpperBodyProviderArray[InGear.UpperBodyID]);
        ApplyFromProvider(GearProvider, upper);
        SetItemRarityByUnlockId(GearProvider.UnlockID, upper);
    }
    // End:0x2C0
    if(InGear.LowerBodyID != 255)
    {
        GearProvider = FoxDataProvider_Unlockable(UnlockablesDataStore.LowerBodyProviderArray[InGear.LowerBodyID]);
        ApplyFromProvider(GearProvider, Lower);
        SetItemRarityByUnlockId(GearProvider.UnlockID, Lower);
    }
    ArmorItems.AddItem(Helmet);
    ArmorItems.AddItem(upper);
    ArmorItems.AddItem(Lower);
    // End:0x3C9
    if(InGear.TacticalID != 255)
    {
        GearProvider = FoxDataProvider_Unlockable(UnlockablesDataStore.TacticalProviderArray[InGear.TacticalID]);
        ApplyFromProvider(GearProvider, TacticalGear);
        SetItemRarityByUnlockId(GearProvider.UnlockID, TacticalGear);
    }
    // End:0x40E
    else
    {
        TacticalGear.sIcon = class'ZeMovieBase'.static.MarkupImageString(EmptyIcon);
    }
    // End:0x4D5
    if(InGear.Gear_L1ID != 255)
    {
        GearProvider = FoxDataProvider_Unlockable(UnlockablesDataStore.AttachmentProviderArray[InGear.Gear_L1ID]);
        ApplyFromProvider(GearProvider, GearL1);
        SetItemRarityByUnlockId(GearProvider.UnlockID, GearL1);
    }
    // End:0x51A
    else
    {
        GearL1.sIcon = class'ZeMovieBase'.static.MarkupImageString(EmptyIcon);
    }
    // End:0x5E1
    if(InGear.Gear_L2ID != 255)
    {
        GearProvider = FoxDataProvider_Unlockable(UnlockablesDataStore.AttachmentProviderArray[InGear.Gear_L2ID]);
        ApplyFromProvider(GearProvider, GearL2);
        SetItemRarityByUnlockId(GearProvider.UnlockID, GearL2);
    }
    // End:0x626
    else
    {
        GearL2.sIcon = class'ZeMovieBase'.static.MarkupImageString(EmptyIcon);
    }
    // End:0x6ED
    if(InGear.Gear_R1ID != 255)
    {
        GearProvider = FoxDataProvider_Unlockable(UnlockablesDataStore.AttachmentProviderArray[InGear.Gear_R1ID]);
        ApplyFromProvider(GearProvider, GearR1);
        SetItemRarityByUnlockId(GearProvider.UnlockID, GearR1);
    }
    // End:0x732
    else
    {
        GearR1.sIcon = class'ZeMovieBase'.static.MarkupImageString(EmptyIcon);
    }
    // End:0x7F9
    if(InGear.Gear_R2ID != 255)
    {
        GearProvider = FoxDataProvider_Unlockable(UnlockablesDataStore.AttachmentProviderArray[InGear.Gear_R2ID]);
        ApplyFromProvider(GearProvider, GearR2);
        SetItemRarityByUnlockId(GearProvider.UnlockID, GearR2);
    }
    // End:0x83E
    else
    {
        GearR2.sIcon = class'ZeMovieBase'.static.MarkupImageString(EmptyIcon);
    }
    GearItems.AddItem(TacticalGear);
    GearItems.AddItem(GearL1);
    GearItems.AddItem(GearL2);
    GearItems.AddItem(GearR1);
    GearItems.AddItem(GearR2);
    as_AddInspectSection(LocStringArmor, ArmorItems);
    as_AddInspectSection(LocStringGear, GearItems);
    //return;    
}

function ApplyFromProvider(FoxDataProvider_Unlockable UnlockableProvider, out BaseInventoryEntry OutItem)
{
    OutItem.sName = UnlockableProvider.FriendlyName;
    OutItem.sType = UnlockableProvider.FriendlyTag;
    OutItem.sIcon = class'ZeMovieBase'.static.MarkupImageString(UnlockableProvider.ImageIconRef);
    //return;    
}

function SetItemRarityByUnlockId(int UnlockID, out BaseInventoryEntry OutItem)
{
    local int ItemRarity;
    local string Unused;

    // End:0x94
    if(DynamicUI != none)
    {
        class'FoxUnlockInfo'.static.GetUnlockInfoFromID(UnlockID, Unused,,,,,,, ItemRarity);
        DynamicUI.GetRarityColorAsString(ItemRarity, OutItem.sRarityColor);
    }
    //return;    
}

function as_SetInstructions(string Instructions)
{
    ActionScriptVoid("addInstructions");
    //return;    
}

function as_AddInspectSection(string InLabel, array<BaseInventoryEntry> Items)
{
    ActionScriptVoid("addSection");
    //return;    
}

function as_CloseInspectionTab()
{
    ActionScriptVoid("close");
    //return;    
}

function as_ClearContent()
{
    ActionScriptVoid("clearContent");
    //return;    
}

function as_updateTransition()
{
    ActionScriptVoid("updateTransition");
    //return;    
}

defaultproperties
{
    LocStringCurrentLoadout="CURRENT LOADOUT"
    LocStringArmor="ARMOR"
    LocStringGear="GEAR"
    EmptyIcon="UI_Icons.Gear.t_empty"
    symbolname="w_HUDInspectTab"
}